Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dispatchers
Class AddressingBasedDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.engine.AbstractDispatcher
              org.apache.axis2.dispatchers.AddressingBasedDispatcher

All Implemented Interfaces:
  AddressingConstants, Handler

Direct Known Subclasses:
  AddressingBasedDispatcher

    public class AddressingBasedDispatcher

extends AbstractDispatcher
implements AddressingConstants

Dispatcher based on the WS-Addressing properties.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.addressing.AddressingConstants
`AddressingConstants.Final, AddressingConstants.Submission`

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary
`static java.lang.String` | `NAME` Field NAME

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Fields inherited from interface org.apache.axis2.addressing.AddressingConstants
`ACTION_ATTRIBUTES, ADD_MUST_UNDERSTAND_TO_ADDRESSING_HEADERS, ADDR_VALIDATE_ACTION, ADDR_VALIDATE_INVOCATION_PATTERN, ADDRESSING_IDENTITY_NS, ADDRESSING_IDENTITY_PREFIX, ADDRESSING_OPTIONAL, ADDRESSING_REQUIRED, ADDRESSING_REQUIREMENT_PARAMETER, ADDRESSING_UNSPECIFIED, ANONYMOUS, DISABLE_ADDRESSING_FOR_IN_MESSAGES, DISABLE_ADDRESSING_FOR_OUT_MESSAGES, DISABLE_OUTBOUND_ADDRESSING_VALIDATION, DISABLE_REF_PARAMETER_EXTRACT, ENDPOINT_REFERENCE, EPR_ADDRESS, EPR_REFERENCE_PARAMETERS, EPR_SERVICE_NAME, FAULT_ACTION_NOT_SUPPORTED, FAULT_ACTION_NOT_SUPPORTED_REASON, FAULT_ADDRESSING_DESTINATION_UNREACHABLE, IDENTITY, IDENTITY_KEY_INFO, IDENTITY_PARAMETER, IDENTITY_X509_CERT, IDENTITY_X509_DATA, INCLUDE_OPTIONAL_HEADERS, IS_ADDR_INFO_ALREADY_PROCESSED, MESSAGEID_ATTRIBUTES, PARAM_SERVICE_GROUP_CONTEXT_ID, QNAME_IDENTITY, QNAME_IDENTITY_KEY_INFO, QNAME_IDENTITY_X509_CERT, QNAME_IDENTITY_X509_DATA, REFERENCE_PARAMETER_PARAMETER, REPLACE_ADDRESSING_HEADERS, SOAP_ROLE_FOR_ADDRESSING_HEADERS, USING_ADDRESSING, WS_ADDRESSING_VERSION, WSA_ACTION, WSA_DEFAULT_PREFIX, WSA_FAULT_TO, WSA_FROM, WSA_MESSAGE_ID, WSA_RELATES_TO, WSA_RELATES_TO_RELATIONSHIP_TYPE, WSA_REPLY_TO, WSA_TO, WSAM_INVOCATION_PATTERN_ASYNCHRONOUS, WSAM_INVOCATION_PATTERN_BOTH, WSAM_INVOCATION_PATTERN_PARAMETER_NAME, WSAM_INVOCATION_PATTERN_SYNCHRONOUS, XML_SIG_NS, XML_SIG_PREFIX`

Constructor Summary
`AddressingBasedDispatcher()`

Method Summary
`AxisOperation` | `findOperation(AxisService service, MessageContext messageContext)` Called by Axis Engine to find the operation.
`AxisService` | `findService(MessageContext messageContext)` Called by Axis Engine to find the service.
`void` | `initDispatcher()`
`Handler.InvocationResponse` | `invoke(MessageContext msgctx)` This method will be called on each registered handler when a message needs to be processed.

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Field NAME

  See Also:
    Constant Field Values

Constructor Detail

### AddressingBasedDispatcher

    public AddressingBasedDispatcher()

Method Detail

### findOperation

    public AxisOperation findOperation(AxisService service,
                                       MessageContext messageContext)
                                throws AxisFault

  Description copied from class: `AbstractDispatcher`
  Called by Axis Engine to find the operation.

  Specified by:
    `findOperation` in class `AbstractDispatcher`
  Returns:
    Returns AxisOperation.
  Throws:
    `AxisFault`

### findService

    public AxisService findService(MessageContext messageContext)
                            throws AxisFault

  Description copied from class: `AbstractDispatcher`
  Called by Axis Engine to find the service.

  Specified by:
    `findService` in class `AbstractDispatcher`
  Returns:
    Returns AxisService.
  Throws:
    `AxisFault`

### initDispatcher

    public void initDispatcher()

  Specified by:
    `initDispatcher` in class `AbstractDispatcher`

### invoke

    public Handler.InvocationResponse invoke(MessageContext msgctx)
                                      throws AxisFault

  Description copied from interface: `Handler`
  This method will be called on each registered handler when a message needs to be processed. If the message processing is paused by the handler, then this method will be called again for the handler that paused the processing once it is resumed.

  This method may be called concurrently from multiple threads.

  Handlers that want to determine the type of message that is to be processed (e.g. response vs request, inbound vs. outbound, etc.) can retrieve that information from the MessageContext via MessageContext.getFLOW() and MessageContext.getAxisOperation().getMessageExchangePattern() APIs.

  Specified by:
    `invoke` in interface `Handler`
  Overrides:
    `invoke` in class `AbstractDispatcher`
  Parameters:
    `msgctx` -
  Returns:
    An InvocationResponse that indicates what the next step in the message processing should be.
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.